AutoCAD Architecture-MEP 2010 LT Object Enabler Readme

The AutoCAD Architecture-MEP 2010 LT Object Enabler makes AEC objects come to life in 2010 releases of AutoCAD LT and DWG TrueView. For earlier versions of these products, please refer to www.autodesk.com\enablers for the correct version to download. This new release leverages ObjectDBX technology allowing object data created in AutoCAD Architecture or AutoCAD MEP to be accessed outside the AutoCAD Architecture and AutoCAD MEP environments.

Experience AutoCAD Architecture and AutoCAD MEP 2010 functionality and flexibility including:
Receive DWG files created in Architectural Desktop R1, R2, R2 DACH, R2i, 3, 3.3, 2004, 2005, 2006, 2007, AutoCAD Architecture 2008, 2009, 2010, Autodesk Building Systems R1, R2, 3, 2004, 2005, 2006, 2007, 2007.1, as well as AutoCAD MEP 2008, 2009, and 2010.
View and modify AEC objects using AutoCAD LT commands such as MOVE, COPY, and STRETCH.
Improved object snap support.
Elimination of proxy graphics messages.
Supplement an office that has a mix of AutoCAD Architecture, AutoCAD MEP and AutoCAD LT seats, allowing improved interoperability between users.

AutoCAD Architecture-MEP Object Enablers are freeware applications distributed to Autodesk customers at no charge for the purpose of fully accessing AutoCAD Architecture and AutoCAD MEP drawing files. Without this object enabler installed, you can share drawings using proxy graphics representations or the Export to AutoCAD command.

What do you want to do?
Access and install the AutoCAD Architecture Object Enabler
Share drawings using the AutoCAD Architecture Object Enabler
Overview of proxy graphics
Questions and answers


Access and install the AutoCAD Architecture-MEP LT Object Enabler

Access and install the AutoCAD Architecture-MEP LT Object Enabler

The AutoCAD Architecture-MEP 2010 LT Object Enabler is installed as part of the normal installation of AutoCAD LT and DWG TrueView.

Previous versions of the AutoCAD Architecture and AutoCAD MEP Object Enablers as well as object enablers for Civil and Mechanical products can be downloaded from the Autodesk website at www.autodesk.com\enablers.

A silent installation of the AutoCAD Architecture-MEP 2010 LT Object Enabler can be configured using the /q quiet switch. The following is an example of the context used for a quiet installation:

\\ServerName\ObjectEnabler\AutoCAD Architecture-MEP 2010 LT OE x64.exe /q


Sharing drawings using the AutoCAD Architecture-MEP LT Object Enabler

Sharing drawings using the AutoCAD Architecture-MEP LT Object Enabler

The AutoCAD Architecture-MEP LT Object Enabler provides an advanced level of compatibility for users of AutoCAD LT and DWG TrueView 2010 to share files with AEC objects. The object enabler "wakes up" the AEC objects enabling full use of the AutoCAD environment with support for AutoCAD Architecture and AutoCAD MEP’s multiple display representations. With the AutoCAD Architecture-MEP LT Object Enabler installed you can load any file created with AutoCAD Architecture or AutoCAD MEP into AutoCAD LT or DWG TrueView and see exactly the same object display as in AutoCAD Architecture or AutoCAD MEP.

Use of the AutoCAD Architecture-MEP LT Object Enabler can reduce or eliminate the need to store proxy graphics. File sizes are smaller, and drawing compatibility is improved. For example, an AutoCAD LT 2010 user can load an AutoCAD Architecture or AutoCAD MEP drawing and experience exactly the same behavior of objects using object snaps or many of the standard AutoCAD LT commands such as MOVE, COPY or ROTATE. Installing the AutoCAD Architecture-MEP LT Object Enabler will not significantly impact the performance of the host program and will only be accessed when drawings containing AEC objects are opened.


Additional commands supplied with the AutoCAD Architecture-MEP LT Object Enabler

Additional commands supplied with the AutoCAD Architecture-MEP LT Object Enabler

  • DisplayManagerConfigsSelection allows you to specify the display configuration that will be used in the drawing. Depending on the settings used in attached drawings, this may or may not affect the display of the xref drawing. On the Model tab, or with a Model Space viewport active on a Layout tab, selecting this toolbar button will display a list of available display configurations, with the current one indicated by a checkmark. Selecting a different configuration will cause a full regen of the drawing, so there may be some delay. For example, if a DWG file is saved in AutoCAD Architecture or AutoCAD MEP with only a reflected ceiling and render display configurations, those are the only ones supported by the AutoCAD Architecture-MEP LT Object Enabler. Users planning on sharing their files must enable layouts and viewport configurations to meet the needs of their partners.
  • -AecExportToAutoCAD allows you to convert an AutoCAD Architecture or AutoCAD MEP drawing to AutoCAD LT entities. The command gives you the ability to bind xrefs and save the file in 2000, 2004, 2007 or 2010 drawing format. The result will be exported to a new DWG file with all AEC objects exploded. The new version of the drawing loses the intelligence of the custom AEC objects, but the resulting basic objects can be displayed and accessed in earlier versions of AutoCAD LT when object enablers are not available for those versions. Any subsequent changes you make to this new drawing file do not affect the original drawing file.

    Command line entry: -aecexporttoautocad

      Export options [Format/Bind/bind Type/Maintain/Prefix/Suffix/?] <Enter for filename>: Enter an option or press ENTER to specify a file name

    Enter for Filename - Creates a new drawing file with the specified name. You can use the Prefix or Suffix option to create a unique file name for this drawing and prevent overwriting the existing drawing file.

      Export drawing name <current>: Enter a file name

    Format - Determines the drawing file format for the resulting drawing file.

      Enter file format [r14/2000/2004/2007/2010] <2007>: Specify the drawing file format

    Bind - Determines how xrefs are treated when creating the new drawing.

      Bind xrefs [Yes/No] <Yes>: Enter y or n

        Yes - Binds all xrefs to the drawing. Layers and other xref-dependent named objects are merged into the new drawing.

        No - Maintains the xrefs as links to other drawings.

        Note: The appearance of the combined drawing may differ if the xrefs are not bound.

    Bind Type - Determines how xref-dependent objects are treated when the Bind option is turned on.

      Bind type [Bind/Insert] <Insert>: Enter an option

        Bind - Maintains the names of layers and other xref-dependent objects when binding xrefs.

        Insert - Merges the names of xref-dependent objects into the new drawing without including the original file name.

    Maintain - Determines how objects within custom AEC objects are treated.

      Maintain resolved properties [Yes/No] <Yes>: Enter y or n

        Yes - Explodes all custom AEC objects into separate basic AutoCAD LT objects. The resulting basic objects revert to their original properties rather than the properties of the block definitions. For example, if a component of a custom object has the color specified ByBlock, and the object has the color specified ByLayer and resides on a layer with the color 50, the resulting AutoCAD object will have color = 50.
        No - Creates a block from each custom AEC object. The properties of the block instances are determined in the usual way, depending on how the objects in the blocks were created and the property settings of the layers on which the blocks are inserted.

    Prefix - Specifies the prefix to be added to the current drawing file name.

      Filename prefix <>: Enter the characters to be added to the beginning of the current file name

    Suffix - Specifies the suffix to be added to the current drawing file name.

      Filename suffix <>: Enter the characters to be added to the end of the current file name

    ?- Lists the current settings for the command.

      File format: current setting

      Bind xrefs: current setting

      Bind type: current setting

      Filename prefix: current setting

      Filename suffix: current setting

  • SetXrefConfig allows you to specify the display configuration that will be used in an xref drawing.

  • AecFileOpenMessage allows you to disable or enable the dialog that appears when drawings from previous versions of AutoCAD Architecture or AutoCAD MEP are opened.

  • ObjRelUpdate causes AEC objects to be completely reconstructed, which may be necessary to resolve display issues.

  • AecVersion displays the file version of files that comprise the AutoCAD Architecture-MEP LT Object Enabler.

  • -DwgUnits allows you to specify the drawing units that will be used with the current file. This affects how drawings are combined when inserting drawings that use different units. For example, to combine a Civil 3D drawing that uses feet with an AutoCAD Architecture drawing using inches, you would first change the units in the AutoCAD Architecture drawing to feet, and then insert it into the Civil 3D drawing.

    An AecArchXOE.cui file will be copied to the user's AutoCAD LT Support folder for any user who runs the host application after the AutoCAD Architecture-MEP LT Object Enabler is installed. This file contains a toolbar (AEC OE) with three buttons, which run the following commands: DisplayManagerConfigsSelection, -AecExportToAutoCAD and SetXrefConfig. To add this toolbar to your workspace, use the command MENULOAD, browse to the location referenced above, select the file, and then click Load and Close.


Overview of Proxy Graphics

Overview of proxy graphics

AutoCAD Architecture and AutoCAD MEP use object technology to represent walls, doors, windows, ducts, pipes, and other AEC objects. These objects are stored in your drawing (DWG) files and to access them, you must run AutoCAD Architecture, AutoCAD MEP, or an equivalent ObjectARX application capable of reading AEC objects.

Proxy graphics provide an alternative means to display objects using simple graphical representations. Objects represented as proxy graphics lack the full "intelligence" of true objects. You cannot copy a proxy object, nor can you reposition a door within a wall when these objects are represented by proxy graphics.

Note: If you are sharing files with AutoCAD LT or DWG TrueView users, a better alternative to proxy graphics is to have the AutoCAD users install the appropriate object enabler.

To share AutoCAD Architecture or AutoCAD MEP drawings using proxy graphics successfully, it is important to understand the multiple display representations of AEC objects and how they are stored as proxy graphics. Each object can store a single proxy representation. Therefore it is important to configure your work session to be sure the file you are saving displays correctly in the shared application. For example, a door can be displayed using a model, plan, or reflected ceiling representation and proxy graphics for a door can only be saved as one of several display representations.

What do you want to do?

  • Save drawings with proxy graphics
  • Configure AutoCAD to display proxy graphics
  • AutoCAD Architecture and AutoCAD MEP Performance Tips


Save your drawing with proxy graphics

Save drawings with proxy graphics

  1. At the command line, type PROXYGRAPHICS and press ENTER.
  2. Type 1 and press ENTER to set the variable to true. This is a drawing-based setting, so it needs to be done one time in each drawing.
  3. At the command line, type ISAVEPERCENT and press ENTER.
  4. Type 0 and press ENTER to set the value to zero percent. This is a registry-based setting, so it only needs to be set once.
  5. Save your drawing with the active viewport set to display the graphics to be saved as proxy graphics.

Note: ISAVEPERCENT must be set to zero to enable consistent control of the graphical representations being saved with proxy graphics. Failure to set this value to zero can result in mixed graphical representations saved as proxy graphics. See also AutoCAD Architecture and AutoCAD MEP Performance Tips.


Configure AutoCAD to display proxy graphics

Configure AutoCAD to display proxy graphics

  1. At the command line, type OPTIONS and press ENTER.
  2. Click the Open and Save tab.
  3. In the Proxy images for custom objects dropdown, select Show proxy graphics.
  4. Click OK.


AutoCAD Architecture and AutoCAD MEP Performance Tips

AutoCAD Architecture and AutoCAD MEP Performance Tips

AutoCAD Architecture and AutoCAD MEP leverage ObjectARX object technology and how to optimize your system depends on how you use AEC objects. If you are working exclusively with AutoCAD Architecture or AutoCAD MEP, or a combination of AutoCAD Architecture, AutoCAD MEP and adjacent seats of AutoCAD LT 2010 equipped with the AutoCAD Architecture-MEP 2010 LT Object Enabler, you can significantly decrease file size and improve file performance by eliminating the storage of proxy graphics.

AEC objects are relatively complex compared with traditional AutoCAD LT objects such as lines, arcs, and text. For example, a stair object can have hundreds of graphical primitives used in its display. Consequently object snap settings need to be set in a manner that is consistent with your performance requirements. Turning on numerous running object snap options can significantly hinder object snap performance when moving the cursor in the vicinity of stairs. This can be managed by setting and changing the AutoCAD LT object snap options.

What do you want to do?

  • Configure AutoCAD Architecture and AutoCAD MEP to disable proxy graphics during file save
  • Install the AutoCAD Architecture-MEP LT Object Enabler on adjacent AutoCAD LT seats


Known Issues

Plotting AutoCAD MEP drawings

Label curve objects may not plot at the same rotation as in the drawing viewport. The cause of this behavior is due to a rotation being applied by the Drawing Orientation within the plot dialog. By default, the labels will have the proper rotation if the Drawing Orientation is set to Landscape. If the Drawing Orientation is set to Portrait, some labels may be rotated 180 degrees. To workaround this problem, set the Drawing Orientation in the plot dialog to Landscape and then back to Portrait, click on the "Apply to Layout" button and cancel out of the dialog box. This will cause the settings from the dialog box to be saved back into the drawing, so the next time that you run the PLOT command, since the current layout has been updated, the labels should be plot in the correct orientation.


Questions and Answers

Questions and Answers

What is the AutoCAD Architecture-MEP 2010 LT Object Enabler?

The AutoCAD Architecture-MEP 2010 LT Object Enabler is a utility that provides new functionality and design flexibility through the power of AEC objects to customers using the 2010 releases of AutoCAD LT and DWG TrueView. With the AutoCAD Architecture -MEP 2010 LT Object Enabler, users working with these products can enjoy full compatibility with AEC objects from 2010 and earlier releases of AutoCAD Architecture and AutoCAD MEP.

Objects retain their intelligence and provide AutoCAD LT functionality that is nearly identical to AutoCAD Architecture and AutoCAD MEP. For example, within AutoCAD LT 2010, AutoCAD LT commands, including OSNAP, MOVE, COPY, TRIM, EXTEND, and EXPLODE, are fully supported with AEC objects. In addition, objects provide full display characteristics including support for multiple views.

What AutoCAD LT commands are available with the AutoCAD Architecture-MEP LT Object Enabler?

When the AutoCAD Architecture-MEP LT Object Enabler is installed, objects respond to AutoCAD LT commands the same way they do in AutoCAD Architecture or AutoCAD MEP. The majority of AutoCAD Architecture and AutoCAD MEP commands, however, are not available, including commands to edit object-specific properties and object styles. These are some of the AutoCAD LT commands you will be able to use specifically on AEC objects:

  • MOVE: Objects are movable from one location to another. Automatic cleanup occurs with walls.

  • COPY: Allows creation of additional objects from within AutoCAD based on current objects in the drawing.

  • ROTATE: Automatic cleanup where relevant.

  • ERASE: Objects delete intelligently; for example, deleting a door automatically heals the wall.

  • TRIM and EXTEND: Trim and extend objects with automatic cleanup.

  • ARRAY: Allows multiple copies of objects with automatic cleanup where relevant.

  • EXPLODE: Allows AEC objects to be exploded leading to the creation of blocks.

  • OSNAP: Logical and graphic node points enabled with the object's graphical display.

  • Multiple Viewport Display: Allows viewport and display configuration to be viewed, limited to the viewport configuration saved with the original AutoCAD Architecture or AutoCAD MEP drawing.

Most AutoCAD LT commands are supported in the same manner as AutoCAD Architecture or AutoCAD MEP.

What specific benefits does the AutoCAD Architecture-MEP LT Object Enabler provide to users of AutoCAD LT?

By allowing correct viewing and manipulation of AEC objects in AutoCAD LT, you can:

  • Collaborate with colleagues using AutoCAD Architecture and AutoCAD MEP

  • Efficiently implement a mix of AutoCAD Architecture, AutoCAD MEP, and AutoCAD LT, minimizing upgrade transition difficulty and increasing productivity

  • Experience the power of intelligent AEC objects while editing and revising AutoCAD Architecture and AutoCAD MEP drawings and models

  • Preview the power of AutoCAD Architecture and AutoCAD MEP without purchasing the product by downloading sample exercises and following suggested steps to highlight the benefits of AEC objects

How is the AutoCAD Architecture-MEP LT Object Enabler different from proxy graphics?

The AutoCAD Architecture-MEP LT Object Enabler does not replace the proxy graphics mechanism of interoperability. Proxy graphics remains a valuable "common denominator" of interoperability across the Autodesk product line but the AutoCAD Architecture-MEP LT Object Enabler provides a more robust level of compatibility for AutoCAD LT users, allowing them to benefit from the power of AEC objects. When the AutoCAD Architecture-MEP LT Object Enabler is installed on AutoCAD LT, there is no proxy message displayed when opening a file that contains AEC objects.

What additional functionality do I get with AutoCAD Architecture?

AutoCAD Architecture was designed for the architectural design process, and provides a full suite of architectural tools. AutoCAD Architecture includes conceptual modeling and planning, creation and editing of objects using right-click menus and a variety of predefined styles, and development of construction documentation using display management and layering designed for architects. For more information and details visit www.autodesk.com\autocadarchitecture.

What additional functionality do I get with AutoCAD MEP?

AutoCAD MEP was designed for the architectural design process, and provides a full suite of engineering tools. AutoCAD MEP includes conceptual modeling and planning, creation and editing of objects using right-click menus and a variety of predefined styles, and development of construction documentation using display management and layering designed for architects. For more information and details visit www.autodesk.com\autocadmep.

How do I use the AutoCAD Architecture-MEP Object LT Enabler?

Once installed, the AutoCAD Architecture-MEP Object Enabler works automatically with your existing AutoCAD LT configuration. If you open a DWG file containing AEC objects, they are "live" and you are able to edit them directly using AutoCAD LT commands. The power of the AutoCAD Architecture-MEP LT Object Enabler is the ability to use existing and familiar AutoCAD LT commands on AEC objects without the need to learn new functionality.

Can I create intelligent objects using the AutoCAD Architecture-MEP LT Object Enabler on AutoCAD LT?

There are no commands to create new AEC objects using AutoCAD LT and the AutoCAD Architecture-MEP LT Object Enabler. Copying existing AEC objects, however, is supported, and the copied AEC objects retain their intelligence. For example, a door copied from one wall to another wall automatically cuts the wall and anchors appropriately. In order to have commands to create new AEC objects and change object styles, you need the full version of AutoCAD Architecture or AutoCAD MEP.

What are Display Configurations and how do they work with the AutoCAD Architecture-MEP LT Object Enabler?

AEC objects provide different graphic display depending on viewing direction and AutoCAD LT viewport settings. This allows architects and designers to configure different viewports to display objects appropriately for different uses, such as for floor plans, reflected ceiling plans, or isometric or perspective views of a 3D model. The different display configurations available in AutoCAD Architecture and AutoCAD MEP are fully supported in the AutoCAD Architecture-MEP LT Object Enabler, allowing AEC objects to respond to changes in viewing direction and respect the Display Configurations assigned to viewports in AutoCAD Architecture or AutoCAD MEP. Users of AutoCAD LT with the AutoCAD Architecture-MEP LT Object Enabler will be able to select Display Configurations that have previously been established in AutoCAD Architecture or AutoCAD MEP. However, users will not be able to modify those display configurations. See an example of several display configurations here.

Once I download and install the AutoCAD Architecture-MEP LT Object Enabler, does it automatically initialize every time I launch AutoCAD LT, or does it demand load?

The AutoCAD Architecture-MEP LT Object Enabler is a demand-loading program which only initializes when needed in AutoCAD LT. In other words, the AutoCAD Architecture-MEP LT Object Enabler is not loaded in an AutoCAD LT session until a drawing containing AEC objects is opened. You can prevent the AutoCAD Architecture-MEP LT Object Enabler from loading even if an AutoCAD Architecture or AutoCAD MEP drawing is opened.

To disable demand loading of the Object Enabler

  1. At the command line, type OPTIONS and press ENTER.

  2. Click the Open and Save tab.

  3. In the Demand load ObjectARX apps drop-down list, select Command invoke. This setting allows other ARX applications, such as ISM, to be loaded when an image command is used.

  4. Click OK.

How much does the AutoCAD Architecture-MEP LT Object Enabler cost?

The AutoCAD Architecture-MEP LT Object Enabler is available at no charge to use and distribute. There is no payment required before or after installation. By downloading the AutoCAD Architecture-MEP LT Object Enabler from the Autodesk website, you agree to the terms and conditions of its usage.

Is AutoCAD Architecture-MEP LT Object Enabler free to distribute?

Yes; however, by downloading it from the Autodesk website you agree to the terms and conditions of its usage.

What limitations are there with AutoCAD Architecture-MEP LT Object Enabler?

  • No AEC commands for object editing – AEC objects may only be edited using standard AutoCAD LT commands such as MOVE, COPY, and ROTATE. AEC objects viewed in AutoCAD LT cannot have their style or properties edited.
  • Right-click context-sensitive edit options are disabled - AutoCAD Architecture and AutoCAD MEP allow right-clicking and editing of all objects. This is not available to users of AutoCAD LT with the AutoCAD Architecture-MEP LT Object Enabler.

  • Preset display configurations - The multiple display capabilities of AEC objects are fully enabled, meaning anything that has been set up and saved in the AutoCAD Architecture or AutoCAD MEP session is preserved, but it is not possible to modify existing configuration.
  • Stretch command - This command will not affect most AEC objects due to the special grip behavior that is implemented in AutoCAD Architecture and AutoCAD MEP.
  • Inserting MEP drawings into AutoCAD LT drawing - Currently the display of some AutoCAD MEP objects, such as elbows, may not be visible or the same as in the original AutoCAD MEP drawing.
  • Display of flex objects - Pipe and Duct flex objects in a model view will display as a single line instead of the full dimensional part.

Does the AutoCAD Architecture-MEP LT Object Enabler include support for Civil 3D objects?

No. There are Civil 3D specific object enablers that you can download from www.autodesk.com\enablers.

Does the AutoCAD Architecture-MEP LT Object Enabler include support for Mechanical Desktop objects?

No. The AutoCAD Architecture-MEP LT Object Enabler only supports objects from AutoCAD Architecture and AutoCAD MEP.

Does the AutoCAD Architecture-MEP LT Object Enabler include ObjectARX objects from third-party developers?

No. The AutoCAD Architecture-MEP LT Object Enabler only supports objects from AutoCAD Architecture and AutoCAD MEP. Many Autodesk partners support the AutoCAD proxy graphic mechanism or provide viewers for their objects at no charge. Contact the independent application developer for more information.


Disable save of proxy graphics

Disable proxy graphics during file save

  1. At the command line, type PROXYGRAPHICS and press ENTER.
  2. Type 0 and press ENTER to set the variable to false.
  3. At the command line, type ISAVEPERCENT and press ENTER.
  4. Type 50 and press ENTER to set the variable to fifty percent, which is the default AutoCAD value.

Note: ISAVEPERCENT must be set to zero if proxy graphics are enabled. If proxy graphics are disabled, ISAVEPERCENT can be set to any value from 0 to 100.


Configure AutoCAD LT to display proxy graphics

Several Display Representations of a wall and door